ServerEvents.recipes(event => { 


    //enderium
event.smithing(
        Item.of('majruszsdifficulty:enderium_helmet'),
        'majruszsdifficulty:enderium_upgrade_smithing_template',
        'minecraft:diamond_helmet',
        'majruszsdifficulty:enderium_ingot'
    ),
    event.smithing(
        Item.of('majruszsdifficulty:enderium_chestplate'),
        'majruszsdifficulty:enderium_upgrade_smithing_template',
        'minecraft:diamond_chestplate',
        'majruszsdifficulty:enderium_ingot'
    ),
    event.smithing(
        Item.of('majruszsdifficulty:enderium_leggings'),
        'majruszsdifficulty:enderium_upgrade_smithing_template',
        'minecraft:diamond_leggings',
        'majruszsdifficulty:enderium_ingot'
    ),
    event.smithing(
        Item.of('majruszsdifficulty:enderium_boots'),
        'majruszsdifficulty:enderium_upgrade_smithing_template',
        'minecraft:diamond_boots',
        'majruszsdifficulty:enderium_ingot'
    )

event.remove({id:'majruszsdifficulty:enderium_helmet_smithing'})
 event.remove({id:'majruszsdifficulty:enderium_chestplate_smithing'})
event.remove({id:'majruszsdifficulty:enderium_leggings_smithing'})
 event.remove({id:'majruszsdifficulty:enderium_boots_smithing'})

//EBONY

event.smithing(
        'dungeons_and_combat:ebony_helmet',
        'dungeons_and_combat:crimson_smithing_template',
        Item.of('majruszsdifficulty:enderium_helmet'),
        'dungeons_and_combat:ebony_ingot'
    ),
    
    event.smithing(
        'dungeons_and_combat:ebony_chestplate',
        'dungeons_and_combat:crimson_smithing_template',
        Item.of('majruszsdifficulty:enderium_chestplate'),
        'dungeons_and_combat:ebony_ingot'
    ),

    event.smithing(
        'dungeons_and_combat:ebony_leggings',
        'dungeons_and_combat:crimson_smithing_template',
        Item.of('majruszsdifficulty:enderium_leggings'),
        'dungeons_and_combat:ebony_ingot'
    ),

    event.smithing(
        'dungeons_and_combat:ebony_boots',
        'dungeons_and_combat:crimson_smithing_template',
        Item.of('majruszsdifficulty:enderium_boots'),
        'dungeons_and_combat:ebony_ingot'
    )

event.remove({id:'dungeons_and_combat:ebony_helmet'})
event.remove({id:'dungeons_and_combat:ebony_chestplate'})
event.remove({id:'dungeons_and_combat:ebony_leggings'})
event.remove({id:'dungeons_and_combat:ebony_boots'})


//MOLTEN BLAZING

event.smithing(
        'dungeons_and_combat:molten_blazing_helmet',
        'dungeons_and_combat:molten_bone',
        'dungeons_and_combat:ebony_helmet',
        'dungeons_and_combat:blazing_ingot'
    )

    event.smithing(
        'dungeons_and_combat:molten_blazing_chestplate',
        'dungeons_and_combat:molten_bone',
        'dungeons_and_combat:ebony_chestplate',
        'dungeons_and_combat:blazing_ingot'
    )

    event.smithing(
        'dungeons_and_combat:molten_blazing_leggings',
        'dungeons_and_combat:molten_bone',
        'dungeons_and_combat:ebony_leggings',
        'dungeons_and_combat:blazing_ingot'
    )

    event.smithing(
        'dungeons_and_combat:molten_blazing_boots',
        'dungeons_and_combat:molten_bone',
        'dungeons_and_combat:ebony_boots',
        'dungeons_and_combat:blazing_ingot'
    )

event.remove({id:'dungeons_and_combat:molten_blazing_helmet'})
event.remove({id:'dungeons_and_combat:molten_blazing_chestplate'})    
event.remove({id:'dungeons_and_combat:molten_blazing_leggings'})
event.remove({id:'dungeons_and_combat:molten_blazing_boots'})


//CRIMSON

event.smithing(
        'dungeons_and_combat:crimson_helmet',
        'dungeons_and_combat:crimson_smithing_template',
        'dungeons_and_combat:molten_blazing_helmet',
        'dungeons_and_combat:crimson_ingot'
    )

    event.smithing(
        'dungeons_and_combat:crimson_chestplate',
        'dungeons_and_combat:crimson_smithing_template',
        'dungeons_and_combat:molten_blazing_chestplate',
        'dungeons_and_combat:crimson_ingot'
    )

    event.smithing(
        'dungeons_and_combat:crimson_leggings',
        'dungeons_and_combat:crimson_smithing_template',
        'dungeons_and_combat:molten_blazing_leggings',
        'dungeons_and_combat:crimson_ingot'
    )

    event.smithing(
        'dungeons_and_combat:crimson_boots',
        'dungeons_and_combat:crimson_smithing_template',
        'dungeons_and_combat:molten_blazing_boots',
        'dungeons_and_combat:crimson_ingot'
    )

event.remove({id:'dungeons_and_combat:crimson_helmet'})
event.remove({id:'dungeons_and_combat:crimson_chestplate'})
event.remove({id:'dungeons_and_combat:crimson_leggings'})
event.remove({id:'dungeons_and_combat:crimson_boots'})

//CURSIUM

event.smithing(
        'cataclysm:cursium_helmet',
        'cataclysm:cursium_upgrade_smithing_template',
        'dungeons_and_combat:crimson_helmet',
        'cataclysm:cursium_ingot'
    )

    event.smithing(
        'cataclysm:cursium_chestplate',
        'cataclysm:cursium_upgrade_smithing_template',
        'dungeons_and_combat:crimson_chestplate',
        'cataclysm:cursium_ingot'
    )

    event.smithing(
        'cataclysm:cursium_leggings',
        'cataclysm:cursium_upgrade_smithing_template',
        'dungeons_and_combat:crimson_leggings',
        'cataclysm:cursium_ingot'
    )

    event.smithing(
        'cataclysm:cursium_boots',
        'cataclysm:cursium_upgrade_smithing_template',
        'dungeons_and_combat:crimson_boots',
        'cataclysm:cursium_ingot'
    )

    event.remove({id:'cataclysm:smithing/cursium_helmet'})
    event.remove({id:'cataclysm:smithing/cursium_chestplate'})
    event.remove({id:'cataclysm:smithing/cursium_leggings'})
    event.remove({id:'cataclysm:smithing/cursium_boots'})
   
})